Skip to main content
POST
Add Recovery Method

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>

Body

application/json

Parameters for adding EVM recovery methods

approver
string
required

The recovery method that authorizes this operation.

Example:

"passkey:cWtP7gmZbd98HbKUuGXx5Q"

chain
enum<string>
required

The chain where the recovery method will be registered. Accepts the smart-wallet-enabled EVM chains.

Available options:
abstract,
abstract-testnet,
apechain,
arbitrum,
arbitrum-sepolia,
arbitrumnova,
arc,
arc-testnet,
avalanche,
avalanche-fuji,
base,
base-sepolia,
bsc,
celo,
celo-sepolia,
curtis,
ethereum,
ethereum-sepolia,
flow,
flow-testnet,
mantle,
mantle-sepolia,
optimism,
optimism-sepolia,
polygon,
polygon-amoy,
robinhood-chain,
robinhood-chain-testnet,
scroll,
scroll-sepolia,
sei-atlantic-2-testnet,
sei-pacific-1,
shape,
story,
story-testnet,
tempo,
tempo-testnet,
world-chain,
world-chain-sepolia,
zora,
zora-sepolia
recoveryMethods
required

The recovery method to add.

Example:

"passkey:cWtP7gmZbd98HbKUuGXx5Q"

Response

201 - application/json

The recovery method transaction has been created.

recoveryMethods
API Key Signer · object
required

The recovery method being added, with its resolved locator.

tx
EVM MPC Wallet · object
required

Complete transaction response including status, signing requirements, and wallet type specific data